/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2019 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PERIPHERALS_H_
#define _PERIPHERALS_H_

/***********************************************************************************************************************
 * Included files
 **********************************************************************************************************************/
#include "fsl_common.h"
#include "fsl_clock.h"
#include "fsl_ftm.h"
#include "fsl_lpi2c.h"

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/
/* Definitions for BOARD_InitPeripherals functional group */
/* Definition of peripheral ID */
#define BOARD_TIMER_PERIPHERAL FTM0
/* Definition of the clock source frequency */
#define BOARD_TIMER_CLOCK_SOURCE CLOCK_GetFreq(kCLOCK_BusClk)
/* TIMER interrupt vector ID (number). */
#define BOARD_TIMER_IRQN FTM0_IRQn
/* TIMER interrupt handler identifier. */
#define BOARD_TIMER_IRQHANDLER FTM0_IRQHandler
/* BOARD_InitPeripherals defines for LPI2C0 */
/* Definition of peripheral ID */
#define BOARD_ACCEL_I2C_PERIPHERAL LPI2C0
/* Definition of clock source */
#define BOARD_ACCEL_I2C_CLOCK_FREQ CLOCK_GetIpFreq(kCLOCK_Lpi2c0)
/* Transfer buffer size */
#define BOARD_ACCEL_I2C_MASTER_BUFFER_SIZE 1

/***********************************************************************************************************************
 * Global variables
 **********************************************************************************************************************/
extern const ftm_config_t BOARD_TIMER_config;
extern const lpi2c_master_config_t BOARD_ACCEL_I2C_masterConfig;
extern lpi2c_master_transfer_t BOARD_ACCEL_I2C_masterTransfer;
extern uint8_t BOARD_ACCEL_I2C_masterBuffer[BOARD_ACCEL_I2C_MASTER_BUFFER_SIZE];

/***********************************************************************************************************************
 * Initialization functions
 **********************************************************************************************************************/
void BOARD_InitPeripherals(void);

/***********************************************************************************************************************
 * BOARD_InitBootPeripherals function
 **********************************************************************************************************************/
void BOARD_InitBootPeripherals(void);

#if defined(__cplusplus)
}
#endif

#endif /* _PERIPHERALS_H_ */
